Subject: SUMMARY: Contouring data

From: Jeffrey J Gosper <[email-masked]>
Date: Mon, 26 Feb 1996 11:15:47 GMT

Dear CCL readers,

Here is a summary of my recent posting regarding contouring. 

Thanks for those responding

Original posting
> 
> we are interested in producing contour plots within one of our
> programs of 3D data points. The data has two independent axes (in a regular 
> array) and a single dependant axis (i.e. the plot is of 2 geometrical and
> 1 energy parameters) 
> 
> We would like to know whether there is any good sources of information,
> code or alogorithms that would help us.
> 
> Thanks for your help
> Jeff Gosper and Conor McMenamin

Replies
********************************************
Gnuplot is a plotting package that can create these type of plots and many
others. It has the capability to print to many different types of devices,
including postscript printers. It's a very versatile package.
You can get it at ftp.dartmouth.edu.

from: Walter Polkosnik <[email-masked]>
********************************************

I have had a similar probblem which I have successfully solved with:
1. Sigmaplot for Windows - easy to use, great plots
2. Surfer for Windows - easy to use, even better plots
3. GnuPlot for windows/unix - quick and dirty
4. Tecplot for UNIX - does everything you possibly need, and then some...

Andrew Podosenin
NYU
[email-masked]
*******************************************
Spyglass produces something called "Plot" for PC, mac, SGI, RS/6000
etc. platforms.  It is very friendly and produces nice plots in many
dimensions.
 
David P. White <[email-masked]>
******************************************
The freeware program GNUPlot can do surface and contour plots on data 
similar to that which you describe.  It is available on most ftp sites 
and has a usenet newgroup 'comp.graphics.gnuplot'

Cheers, Craig

"Never make anything simple and efficient when a way can be found to
 make it complex and wonderful."

Craig Taverner
Structural Chemistry, University of the Witwatersrand, South Africa
tel:   +27-11-716-2290                fax: +27-11-716-3826
email: [email-masked]
www:   http://www.gh.wits.ac.za/craig
****************************************
I've used a couple of different programs to graph contour data.

SM (see http://blas.cis.mcmaster.ca/~monger/sm.html )
    an easy-to-use script-type interface; produces graphical output on a number
    of different device types (including PostScript output)

IRIS Explorer (see http://www.nag.co.uk:70/Welcome_IEC.html )
    Top-notch graphics; worth investing the time to learn how to use it

Conrec (see BYTE, 1987 June, p. 143, by Paul D. Bourke)
    actually, I translated the QuickBASIC source listed into C with the
    graphics being rendered on a Tcl/Tk canvas; for more info on Tcl/Tk, see
    http://www.sunlabs.com:80/research/tcl/
    I am willing to share this code if you need something to integrate into 
    your own package

Check out GNUPlot, too, from the GNU gang.

Good Luck!
Michael

-- 
Michael A. Peterson                             [email-masked]
*************************************
Take a look at gnuplot from ftp://prep.ai.mit.edu/pub/gnu.

Harry Johnson <[email-masked]>
*************************************
I can recommend the Matlab package for 2D contour or 3D mesh plots, it
is also possible two create graphs with both types in the same figure.

Matlab is available for the PC and the Macintosh as well as all major
Unix workstations, for more info see 

   http://www.mathworks.com/

Johan Landin <[email-masked]>
************************************

/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
 Dr. Jeff Gosper                                         
 Dept. of Chemistry		                        
 BRUNEL University                                     
 Uxbridge Middx UB8 3PH, UK                            
 voice:  01895 274000 x2187                            
 facsim: 01895 256844                                  
 internet/email/work:   [email-masked]     
 internet/WWW: http://http1.brunel.ac.uk:8080/~castjjg 
\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/